Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# DistributedNetworkObjectStub< T > Class Template Reference
[Distributed Network Object Subsystem]

`#include <DistributedNetworkObjectStub.h>`

Inheritance diagram for DistributedNetworkObjectStub< T >:

List of all members.

## Public Member Functions
| DistributedNetworkObjectStub (char *className)
virtual DistributedNetworkObject * | GetObject ()

## Detailed Description

### template<class T>
class DistributedNetworkObjectStub< T >

Templatized Stub for all Network Objects.

## Constructor & Destructor Documentation

template<class T>
DistributedNetworkObjectStub< T >::DistributedNetworkObjectStub | ( | char * | className | ) | `[inline]`

  | Create a new Stub and register it. Parameters:
  | className | The name of the class

## Member Function Documentation

template<class T>
virtual DistributedNetworkObject* DistributedNetworkObjectStub< T >::GetObject | ( |  | ) | `[inline, virtual]`

| Return the network object associated to this instance. Implements DistributedNetworkObjectBaseStub.

The documentation for this class was generated from the following file:

- Projects/raknet/include/raknet/DistributedNetworkObjectStub.h